## python-eventlet 0.35.1

=== debian/changelog ===
python-eventlet (0.35.1-3) unstable; urgency=medium

  * Backlist 4 unit tests depending on /etc/resolv.conf (Closes: #1070333):
    - test_clear
    - test_noraise_dns_tcp
    - test_raise_dns_tcp
    - test_dns_methods_are_green

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jun 2024 14:10:33 +0200

python-eventlet (0.35.1-2) unstable; urgency=medium

  * Add python3-hatchling as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jun 2024 10:27:02 +0200

python-eventlet (0.35.1-1) unstable; urgency=medium

  * New upstream release.
  * Usual maintenance: rebase, refresh and remove patches.
  * Switch to pytest from nose (Closes: #1018489).
  * Fix d/rules for doc moved to doc/source upstream.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2024 21:33:39 +0100

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 netbase,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools (>= 20.6.8),
 python3-sphinx,
Build-Depends-Indep:
 python3-dnspython,
 python3-greenlet,
 python3-hatchling,
 python3-httplib2,
 python3-monotonic (>= 1.4),
 python3-openssl,
 python3-pytest,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-zmq,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
Homepage: https://eventlet.net
Rules-Requires-Root: no

Package: python-eventlet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: concurrent networking library - doc
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the documentation.

Package: python3-eventlet
Architecture: all
Depends:
 netbase,
 python3-greenlet,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-eventlet-doc,
Description: concurrent networking library
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=eventlet
export TRAVIS=true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc/source $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Backlist 4 unit tests depending on /etc/resolv.conf:
	# test_clear
	# test_noraise_dns_tcp
	# test_raise_dns_tcp
	# test_dns_methods_are_green
	# See upstream issue: https://github.com/eventlet/eventlet/issues/963
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -k ' not test_018b_http_10_keepalive_framing and not test_fork_after_monkey_patch and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green' ; \
	done
endif

## python-eventlet 0.35.2

=== debian/changelog ===
python-eventlet (0.35.2-0ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: HTTP Request smuggling
    - debian/patches/CVE-2025-58068.patch: Fix request smuggling
      vulnerability by discarding trailers in eventlet/wsgi.py.
    - CVE-2025-58068

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 14:34:59 -0300

python-eventlet (0.35.2-0ubuntu1) noble; urgency=high

  * SECURITY UPDATE: New upstream point release, resolving
    security issue with dnspython >= 2.6.1:
    - CVE-2023-29483: Address DoS via the Tudoor mechanism.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Apr 2024 08:13:11 +0100

python-eventlet (0.35.1-0ubuntu2) noble; urgency=medium

  * d/control,rules: Switch to using pyproject build system to ensure that
    version is correctly detected and generated in built package.

 -- James Page <james.page@canonical.com>  Wed, 06 Mar 2024 11:36:24 +0000

python-eventlet (0.35.1-0ubuntu1) noble; urgency=medium

  * New upstream point release.
  * d/p/disable-timeout-tests.patch: Disable connection timeout tests
    which fail on LP builders.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Jan 2024 12:40:16 +0000

python-eventlet (0.35.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/p/fix-doc-generation.patch: Drop, no longer needed.
  * d/p/*: Refresh.
  * d/p/*: Drop various older patches disable tests; eventlet
    has received some heavy maintenance recently and we can
    always re-introduce them if need be.
  * d/control: Add python3-sphinxcontrib.apidoc to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 19:59:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  netbase,
- openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools (>= 20.6.8),
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-sphinx,
+ python3-sphinxcontrib.apidoc,
 Build-Depends-Indep:
  python3-dnspython,
  python3-greenlet,
- python3-hatchling,
  python3-httplib2,
  python3-monotonic (>= 1.4),
+ python3-nose,
  python3-openssl,
  python3-pytest,
- python3-six,
- python3-sphinxcontrib.apidoc,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet
export PYBUILD_SYSTEM=pyproject
export TRAVIS=true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc/source $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$ python$$i -m pytest --verbose; \
	done
endif

## python-eventlet 0.36.1

=== debian/changelog ===
python-eventlet (0.36.1-12) unstable; urgency=medium

  * Add test_ssl_close to blacklist of tests (Closes: #1092379).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jan 2025 08:21:05 +0100

python-eventlet (0.36.1-11) unstable; urgency=medium

  * Re-blacklist (Closes: #1090270):
    - test_orig_thread
    - test_send_1k_pub_sub

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 08:19:23 +0100

python-eventlet (0.36.1-10) unstable; urgency=medium

  * Re-disable these:
    - test_clear
    - test_noraise_dns_tcp
    - test_raise_dns_tcp
    - test_dns_methods_are_green

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Dec 2024 16:39:15 +0100

python-eventlet (0.36.1-9) unstable; urgency=medium

  * Add Use_greenthread_s_dead_state_where_possible.patch (Closes: #1089050).
  * Re-enable all tests but:
    - test_fork_after_monkey_patch
    - test_cancel_proportion.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Dec 2024 10:01:03 +0100

python-eventlet (0.36.1-8) unstable; urgency=medium

  * Replaced python3.13-support.patch by a new one available at
    https://github.com/eventlet/eventlet/pull/988.
  * Add Spew_Correct_line_lookup_from_inspect.getsourcelines.patch, thanks to
    Stefano Rivera.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Nov 2024 10:22:09 +0100

python-eventlet (0.36.1-7) unstable; urgency=medium

  * Add python3.13-support.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Oct 2024 11:39:29 +0100

python-eventlet (0.36.1-6) unstable; urgency=medium

  * Blacklist test_orig_thread (Closes: #1082997).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 15:08:48 +0200

python-eventlet (0.36.1-5) unstable; urgency=medium

  * Removed python3-six from build-depends (Closes: #1079826).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 12:53:01 +0200

python-eventlet (0.36.1-4) unstable; urgency=medium

  * Fix egg-info and module reported version. (Closes: #1078714).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 10:18:04 +0200

python-eventlet (0.36.1-3) unstable; urgency=medium

  * Refreshed patches.
  * Add install-all-files.patch.
  * Run tests in parrallel with -n `nproc` and pytest-xdist.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 11:30:20 +0200

python-eventlet (0.36.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:50:28 +0200

python-eventlet (0.36.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 09:43:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=eventlet
export TRAVIS=true

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f hatch.toml eventlet/_version.py
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "__version__ = '$$SETUPTOOLS_SCM_PRETEND_VERSION'" >eventlet/_version.py
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	echo "__version__ = '$$SETUPTOOLS_SCM_PRETEND_VERSION'" >$(CURDIR)/debian/python3-eventlet/usr/lib/python3/dist-packages/eventlet/_version.py

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc/source $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Backlist 4 unit tests depending on /etc/resolv.conf:
	# test_clear
	# test_noraise_dns_tcp
	# test_raise_dns_tcp
	# test_dns_methods_are_green
	# See upstream issue: https://github.com/eventlet/eventlet/issues/963
	# Non-deterministic:
	# test_direct_raise_instance
	# test_cancel_proportion'
	# See #1082997
	# test_orig_thread
	# See #1090270
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close' ; \
	done
endif

## python-eventlet 0.39.0

=== debian/changelog ===
python-eventlet (0.39.0-0ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: HTTP Request smuggling
    - debian/patches/CVE-2025-58068.patch: Fix request smuggling
      vulnerability by discarding trailers in eventlet/wsgi.py.
    - CVE-2025-58068

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 14:20:32 -0300

python-eventlet (0.39.0-0ubuntu1) plucky; urgency=medium

  * New upstream release:
    - d/p/*.patch: Drop misc patches included in release.
    - d/p/openssl-3.4.0-compat.patch: Refresh to include BrokenPipeError
      as a valid raises with OpenSSL >= 3.4.0.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 12:59:01 +0000

python-eventlet (0.36.1-11ubuntu1) plucky; urgency=medium

  * d/p/openssl-3.4.0-compat.patch: Tweak tests to be compatible
    with new version of OpenSSL (LP: #2091540).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Dec 2024 14:07:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  netbase,
+ openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
- python3-hatch-vcs,
- python3-hatchling,
+ python3-setuptools (>= 20.6.8),
+ python3-setuptools-scm,
  python3-sphinx,
- python3-sphinxcontrib.apidoc,
 Build-Depends-Indep:
  python3-dnspython,
  python3-greenlet,
+ python3-hatchling,
  python3-httplib2,
  python3-monotonic (>= 1.4),
- python3-nose,
  python3-openssl,
  python3-pytest,
+ python3-pytest-xdist,
+ python3-sphinxcontrib.apidoc,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,6 @@
 	# test_orig_thread
 	# See #1090270
 	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close' ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub' ; \
 	done
 endif

=== debian/tests/control ===
Tests: listen3
Depends:
 python3-eventlet,

Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/eventlet/eventlet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-eventlet 0.39.1

=== debian/changelog ===
python-eventlet (0.39.1-2+deb13u1) trixie; urgency=medium

  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 10:43:30 +0200

python-eventlet (0.39.1-2) unstable; urgency=medium

  * Add test_send_1k_req_rep to blacklist, failing on armel.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 16:44:12 +0200

python-eventlet (0.39.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches appiled upstream:
    - -python3.13-support.patch
    - Spew_Correct_line_lookup_from_inspect.getsourcelines.patch
    - Use_greenthread_s_dead_state_where_possible.patch
  * Refresh some other patches.


 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Mar 2025 12:28:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,9 @@
 	# See #1082997
 	# test_orig_thread
 	# See #1090270
+	# fail on armel:
+	# test_send_1k_req_rep
 	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub' ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep' ; \
 	done
 endif

## python-eventlet 0.40.1

=== debian/changelog ===
python-eventlet (0.40.1-3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Sun, 31 Aug 2025 22:01:38 +0000

python-eventlet (0.40.1-3) unstable; urgency=high

  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2025 23:54:47 +0200

python-eventlet (0.40.1-2) unstable; urgency=medium

  * Remove Skip_ident_comparison_to_avoid_crash_on_Python3.13.patch.
    (Closes: #1109700).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Aug 2025 12:00:28 +0200

python-eventlet (0.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist a number of unit tests that are failing with the current
    upstream code that adds Python 3.13 compat.
  * Add remove-python-3.13-classifier.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2025 16:22:52 +0200

python-eventlet (0.39.1-3) unstable; urgency=medium

  * Add Skip_ident_comparison_to_avoid_crash_on_Python3.13.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 12:34:10 +0200

## python-eventlet 0.40.2

=== debian/changelog ===
python-eventlet (0.40.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 17:02:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,6 @@
 	# fail on armel:
 	# test_send_1k_req_rep
 	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep' ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep and not test_double_close_219 and not test_reverse_name and not test_os_read_nonblocking and not test_tpool and not test_zero_second_sleep and not test_threading_condition and not test_is_alive and not test_name and not test_blocking_select_methods_are_deleted and not test_subprocess_after_monkey_patch and not test_patcher_threading_subclass_done and not test_patcher_existing_logging_module_lock and not test_threadpoolexecutor and not test_patcher_existing_locks and not test_threading_join and not test_is_daemon and not test_patcher_existing_locks_early and not test_regular_file_readall and not test_greenlet and not test_context_version_setters and not test_patched_communicate_290 and not test_importlib_lock and not test_fork_in_thread_after_monkey_patch_threading and not test_early_patching and not test_join and not test_patcher_existing_locks_exception and not test_patcher_existing_locks_late and not test_threading_current and not test_ident and not test_greenthread and not test_patched_thread and not test_late_patching and not test_keyerror and not test_simple and not test_can_use_eventlet_in_os_threads and not test_socketserver_selectors and not test_os_write_nonblocking' ; \
 	done
 endif

## python-eventlet 0.40.3

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the
# order of appearance. Changing the order has an impact on the overall
# integration process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

pyzmq>=25.0.0

=== debian/changelog ===
python-eventlet (0.40.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Uses DEB_BUILD_OPTION_PARALLEL (Closes: #1109961).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 11:21:01 +0200

python-eventlet (0.40.3-1) experimental; urgency=medium

  * New upstream release:
    - Fixes CVE-2025-58068 (Eventlet WSGI parser is vulnerable to HTTP
      Request Smuggling due to improper handling of HTTP trailer section).
      (Closes: #1112515).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2025 17:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet
include /usr/share/openstack-pkg-tools/pkgos.make
include /usr/share/dpkg/buildopts.mk

export PYBUILD_NAME=eventlet
export TRAVIS=true

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f hatch.toml eventlet/_version.py
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "__version__ = '$$SETUPTOOLS_SCM_PRETEND_VERSION'" >eventlet/_version.py
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	echo "__version__ = '$$SETUPTOOLS_SCM_PRETEND_VERSION'" >$(CURDIR)/debian/python3-eventlet/usr/lib/python3/dist-packages/eventlet/_version.py

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc/source $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Backlist 4 unit tests depending on /etc/resolv.conf:
	# test_clear
	# test_noraise_dns_tcp
	# test_raise_dns_tcp
	# test_dns_methods_are_green
	# See upstream issue: https://github.com/eventlet/eventlet/issues/963
	# Non-deterministic:
	# test_direct_raise_instance
	# test_cancel_proportion'
	# See #1082997
	# test_orig_thread
	# See #1090270
	# fail on armel:
	# test_send_1k_req_rep
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v $(DEB_BUILD_OPTION_PARALLEL:%=-n %) -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep and not test_double_close_219 and not test_reverse_name and not test_os_read_nonblocking and not test_tpool and not test_zero_second_sleep and not test_threading_condition and not test_is_alive and not test_name and not test_blocking_select_methods_are_deleted and not test_subprocess_after_monkey_patch and not test_patcher_threading_subclass_done and not test_patcher_existing_logging_module_lock and not test_threadpoolexecutor and not test_patcher_existing_locks and not test_threading_join and not test_is_daemon and not test_patcher_existing_locks_early and not test_regular_file_readall and not test_greenlet and not test_context_version_setters and not test_patched_communicate_290 and not test_importlib_lock and not test_fork_in_thread_after_monkey_patch_threading and not test_early_patching and not test_join and not test_patcher_existing_locks_exception and not test_patcher_existing_locks_late and not test_threading_current and not test_ident and not test_greenthread and not test_patched_thread and not test_late_patching and not test_keyerror and not test_simple and not test_can_use_eventlet_in_os_threads and not test_socketserver_selectors and not test_os_write_nonblocking' ; \
	done
endif

## python-eventlet 0.40.4

=== debian/changelog ===
python-eventlet (0.40.4-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.4.
  * Merging debian version 0.40.4-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 Mar 2026 01:27:23 +0100

python-eventlet (0.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed remove-python-3.13-classifier.patch.
  * Fix how to run autopkgtest without setup.py.
  * Kill debian/tests/listen3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 10:57:43 +0100

python-eventlet (0.40.3-2~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging debian version 0.40.3-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Sep 2025 13:11:58 +0200

python-eventlet (0.40.3-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.3.
  * Merging debian version 0.40.3-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 04 Sep 2025 08:51:23 +0200

python-eventlet (0.40.2-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.2.
  * Merging debian version 0.40.2-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Aug 2025 06:16:40 +0200

python-eventlet (0.40.1-2~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 13:27:00 +0200

python-eventlet (0.40.1-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Initial upload to horok-backports-extras.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Jul 2025 12:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+XSBC-Original-Uploaders:
  Thomas Goirand <zigo@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -26,8 +29,10 @@
  python3-sphinxcontrib.apidoc,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports-extras/python-eventlet
+Vcs-Git: https://git.progress-linux.org/horok-backports-extras/python-eventlet
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
+XSBC-Original-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no
